---
lang: es-ES
layout: wiki
section: community
category: discord
title: DS⁽ⁱ⁾ Mode Hacking
description: Acerca del servidor de Discord de DS⁽ⁱ⁾ Mode Hacking
---

Este servidor de Discord se especializa en todo lo relacionado con las modificaciones de la Nintendo DS(i) y la escena homebrew, desde pasos para configurar tu flashcard hasta el desarrollo de aplicaciones homebrew. Este servidor también se enfoca en otras cosas, como la creación de ROM hacks, comunidad de juegos de DS, y la modificación de TWL_FIRM en consolas 3DS. Ten en cuenta que en este servidor se habla en inglés. Si no manejas el idioma, te recomendamos usar un traductor.

## Canales de Discord
Hay varios canales para temas diferentes, así que asegúrate de que estás usando el canal correcto para no llenar los otros con temas de conversación irrelevantes.

Siempre recuerda revisar el tema del canal y los mensajes anclados antes de hablar en un canal.
{:.alert .alert-info}

**Important (Importante)**
- [#info-and-rules][info-and-rules] - Proporciona una breve información sobre las reglas e información del servidor. Para obtener información más en detalle, revisa la [sección de reglas](discord-rules) en esta wiki
- [#useful-resources][useful-resources] - Aquí hay enlaces a recursos útiles fuera del servidor de Discord, como otros servidores, o esta misma wiki
- [#member-logs][member-logs] - Muestra los usuarios que se han unido y los que han regalado mejoras al servidor

**Server Hub (Centro del Servidor)**
- [#announcements][announcements] - Información sobre actualizaciones de aplicaciones homebrew, así como anuncios generales relacionados con el servidor
- [#github-updates][github-updates] - Últimas actualizaciones de todas las contribuciones y discusión sobre los repositorios en GitHub de los proyectos del grupo DS-Homebrew
- [#subreddit-feed][subreddit-feed] - Actualizaciones sobre las publicaciones más recientes en el [Subreddit](https://reddit.com/r/NDSBrew)
- [#community-meta][community-meta] - Para dar opiniones y sugerencias sobre la comunidad, incluyendo el servidor de Discord, el subreddit y la [organización en GitHub](http://github.com/DS-Homebrew)

**Nintendo DS⁽ⁱ⁾ Modding (Modificaciones de Nintendo DS⁽ⁱ⁾)**
- [#nds-help][nds-help] - ¿Tienes un problema relacionado con la Nintendo DS(i)? ¿Necesitas hacer una pregunta general? Puedes hacerlo aquí, aportando toda la información que puedas (mensajes de error, información sobre tu consola, cosas que intentaste hacer, registros, etcétera). Si tu consulta es acerca de modificaciones en una 3DS, mantén la conversación en #other-console-modding, a no ser que implique el uso de TWL_FIRM
- [#nds-hardware][nds-hardware] - Lugar para discutir flashcards, parches antipìratería, y conocimiento e investigación general sobre la DS. Si bien este canal cubre el uso de TWL_FIRM en una 3DS, por favor, mantén las discusiones acerca del modo 3DS en #other-console-modding
- [#nds-hacks][nds-hacks] - Charla acerca de ROM hacks, modificaciones y trucos para juegos de Nintendo DS(i). Revisa los mensajes anclados para obtener una lista de comunidades dedicadas
- [#nds-dev][nds-dev] - Recursos y discusión sobre el desarrollo de aplicaciones homebrew para Nintendo DS(i). La discusión sobre aplicaciones homebrew existentes debe ir en #other-nds-homebrew

**Main DS⁽ⁱ⁾ Homebrew Projects (Proyectos principales de Homebrew para DS⁽ⁱ⁾)**
- [#nds-bootstrap-dev][nds-bootstrap-dev] - Este canal es para discusión sobre el desarrollo de nds-bootstrap. Para soporte, usa #nds-help
- [#twilight-menu-dev][twilight-menu-dev] - Este canal es para discusión sobre el desarrollo de TWiLight Menu++. Para soporte, usa #nds-help
- [#gbarunner3-dev][gbarunner3-dev] - Este canal es para discusión sobre el desarrollo de GBARunner3. Para soporte, usa #nds-help
- [#dsi-ntrboot-dev][dsi-ntrboot-dev] - Este canal es para discusión sobre el desarrollo de ntrboot para DSi.
- [#web-dev][web-dev] - Las discusiones y sugerencias sobre [la guía de CFW para DSi](https://dsi.cfw.guide/) y todos los [ sitios web de DS-Homebrew](https://ds-homebrew.com/) van aquí

**Secondary DS⁽ⁱ⁾ Homebrew Projects (Proyectos secundarios de Homebrew para DS⁽ⁱ⁾)**
- [#godmode9i][godmode9i] - Este canal es para la discusión sobre el desarrollo de GodMode9i. Para soporte, usa #nds-help
- [#fastvideods][fastvideods] - Este canal es para discusión sobre el desarrollo de FastVideoDS y su codificador. Para soporte, usa #nds-help
- [#other-nds-homebrew][other-nds-homebrew] - Este foro es para soporte, actualizaciones y discusiones sobre las aplicaciones homebrew para Nintendo DS(i) que no estén cubiertas por otros canales. Hay hilos disponibles para aplicaciones homebrew de forma individual, y puedes crear hilos nuevos si ves que no existe uno para la aplicación sobre la que vas a conversar

**Community (Comunidad)**
- [#off-topic][off-topic] - Un canal para cualquier tema que no encaje en otros canales. Las publicaciones de calidad baja deberían estar en #end-of-server
- [#nds-gaming][nds-gaming] - Un lugar para discusión general sobre juegos para DS(i), así como para aquellos que quieran jugar en línea. Revisa los mensajes anclados para obtener una lista de comunidades dedicadas
- [#other-console-modding][other-console-modding] - Charla sobre homebrew y modificaciones para otras consolas, como la 3DS cuando no se habla sobre el modo DS(i) de la misma
- [#other-dev][other-dev] - Charla sobre código y desarrollo de software para plataformas que no sean la Nintendo DS
- [#end-of-server][end-of-server] - Charla casual y de baja calidad. Las reglas aquí se aplican de forma más relajadas, pero se aplican igualmente. Usa este canal para publicar tus memes, comandos para los bots, y otras cosas que no inicien o contribuyan a la discusión

## Roles y distintivos de usuario
Hay varios roles que puedes conseguir en el servidor, algunos a los cuales puedes acceder simplemente usando un [comando del bot Lightning](#lightning-commands).

### Roles de Moderador
Estos roles son dados a personas de confianza para poder mantener el servidor. Pueden expulsar (temporal y permanentemente), silenciar y dar roles a otros usuarios.

- Da Master (El Maestro) - El rol del dueño del servidor
- Admin (Administrador) - Tiene todos los permisos posibles, usualmente tienen la última palabra entre los Mantenedores del servidor
- Server Maintainers (Moderadores) - Ayudan a hacer cumplir las reglas y a manejar el servidor. Si hay un problema, contáctalos a ellos primero antes que a personas con rangos superiores

### Distintivos de Usuario
Estos roles solo pueden ser otorgados por moderadores, e indican que estos usuarios tienen conocimientos en estos campos. Adicionalmente, algunos dan acceso a canales privados. Si crees que encajas en la descripción para cualquiera de estos roles, pregunta en #community-meta. Los moderadores evaluarán tu consulta basado en los requisitos del rol.

- Developers (Desarrolladores) - Este rol se le otorga a aquellos que han contribuido código a la escena de Nintendo DS. Si tienes proyectos para este rol, muéstralos en #nds-dev
- Helpers (Ayudantes) - Este rol se le otorga a aquellos que activamente proporcionan ayuda significativa en #nds-help o que han contribuido aportando reportes a la lista de compatibilidad
   - Los ayudantes no tienen permisos de moderador, así que si la situación lo amerita, contacta con un moderador
- Nitro Booster - Se les da automáticamente a aquellos que han dado ventajas al servidor. Este rol no tiene permisos adicionales, y no está anclado en la lista de miembros

### Roles de Castigo
Si has roto las reglas, puede que un moderador te asigne alguno de estos roles.

- No Community (Sin acceso a la comunidad) - Elimina el acceso a los canales de la pestaña Community (Comunidad)
- No Help (Sin acceso a soporte) - Elimina el acceso al canal [#nds-help][nds-help]
- No Reaction (Sin acceso a las reacciones) - Elimina los permisos para añadir reacciones en todos los canales
- No VC (Sin acceso al chat de voz) - Elimina el acceso al canal de chat de voz
- Muted (Silenciado) - Desactiva la habilidad de enviar mensajes

### Otros
Estos roles son otorgados por los moderadores por motivos específicos.

- Bots - Se usa para identificar los bots de Discord presentes en el servidor
- Special Thanks (Agradecimientos especiales) - Personas que han contribuido a la comunidad en gran medida

## Comandos de Lightning
Lightning es un bot de Discord creado por [LightSage](https://github.com/LightSage), que tiene comandos útiles para ayudar a moderar comunidades. El comando más usado es `!togglerole`, que te asignará cualquiera de los siguientes roles:

- Updates (Actualizaciones) - Se te notificará cuando haya una actualización para aplicaciones Homebrew de DS(i) en el canal #announcements
- Nintendo DS Online Players (Jugadores en línea de Nintendo DS) - Cualquiera puede notificar a este rol en #nds-gaming cuando esté buscando gente para jugar juegos de Nintendo DS en línea
- Translators (Traductores) - Cualquiera que quiera recibir notificaciones para contribuir a traducir varios proyectos del grupo DS-Homebrew

Hay montón de comandos divertidos que puedes usar, pero por favor mantenlos en [#end-of-server][end-of-server]. Para más información, echa un vistazo a su página web: <https://lightning.lightsage.dev/>

**También se usa Lightning con fines de moderación (mantener un registro de las infracciones y expulsar de forma temporal o permanente, y silenciar a usuarios). Mantén activados los mensajes directos en el servidor en caso de que necesitemos contactar contigo.**

## El Personal del Servidor
Estas son las personas que mantienen el servidor. Si dicen algo, es definitivo, y no hay lugar para debate. Estos miembros están anclados en la lista de miembros. No solicites formar parte del personal, así solo disminuirás las posibilidades de hacerlo. Se añadirán miembros al personal solo si y cuando se considere oportuno.

Dueño: shutterbug2000

Administradores: rocketrobz, nightscript, gericom., ahezard#8037, apachethunder

Moderación: kaisaan, Pk11#3666, kodtiz3d, lifehackerhansol, lightsage01, kalamty

<!-- Discord channel links -->
[info-and-rules]: https://discord.com/channels/283769550611152897/626620520330428436
[useful-resources]: https://discord.com/channels/283769550611152897/638041441079263283
[member-logs]: https://discord.com/channels/283769550611152897/677714673663082529

[announcements]: https://discord.com/channels/283769550611152897/283771381735489537
[github-updates]: https://discord.com/channels/283769550611152897/450065134191116290
[subreddit-feed]: https://discord.com/channels/283769550611152897/869830055377928243
[community-meta]: https://discord.com/channels/283769550611152897/715651368391671919

[nds-help]: https://discord.com/channels/283769550611152897/332961165829210117
[nds-hardware]: https://discord.com/channels/283769550611152897/547986366357700620
[nds-hacks]: https://discord.com/channels/283769550611152897/356988919738400768
[nds-dev]: https://discord.com/channels/283769550611152897/835273459339624499

[nds-bootstrap-dev]: https://discord.com/channels/283769550611152897/283769550611152897
[twilight-menu-dev]: https://discord.com/channels/283769550611152897/489307733074640926
[gbarunner3-dev]: https://discord.com/channels/283769550611152897/620310871800807466
[dsi-ntrboot-dev]: https://discord.com/channels/283769550611152897/1193678677666431097
[web-dev]: https://discord.com/channels/283769550611152897/744649302567157800

[godmode9i]: https://discord.com/channels/283769550611152897/497960894660083732
[fastvideods]: https://discord.com/channels/283769550611152897/1021121766585806989
[other-nds-homebrew]: https://discord.com/channels/283769550611152897/1025388133388394547

[off-topic]: https://discord.com/channels/283769550611152897/286686210225864725
[nds-gaming]: https://discord.com/channels/283769550611152897/668680785154408448
[other-console-modding]: https://discord.com/channels/283769550611152897/653706029736919051
[other-dev]: https://discord.com/channels/283769550611152897/1169696607294468177
[end-of-server]: https://discord.com/channels/283769550611152897/283770736215195648
