---
lang: es-ES
layout: wiki
section: nds-bootstrap
title: Futuro de nds-bootstrap
description: Información sobre el futuro de nds-bootstrap
---

No hay fechas fijas para futuros lanzamientos.
{:.alert .alert-info}

Esta página sirve como visión general del futuro de nds-bootstrap, en orden de prioridad. Estos hitos están sujetos a cambiar con el transcurso del tiempo, a medida que los problemas se resuelvan. Los ejemplos listados bajo cada hito no conforman una lista exhaustiva. Para una lista más completa de todos los problemas vinculados a cada hito, echa un vistazo a la [página de Hitos en GitHub.](https://github.com/DS-Homebrew/nds-bootstrap/milestones)

### 1.0 Mejorar la compatibilidad con las ROMs de juegos comerciales
Hacer que nds-bootstrap se acerque lo más posible a la compatibilidad total con títulos comerciales
- Arreglar el problema con Romancing SaGa 3[#271](https://github.com/DS-Homebrew/nds-bootstrap/issues/271)
- Arreglar el problema de conexión de DS a Wii de los juegos de Pokémon [#415](https://github.com/DS-Homebrew/nds-bootstrap/issues/415)
- Corregir los títulos de Brain Age para DSiWare [#1166](https://github.com/DS-Homebrew/nds-bootstrap/issues/1166)

### 1.1 Mejoras adicionales a juegos
Añadir mejoras que no existen cuando se juega desde los cartuchos
- Poder usar conexiones con cifrado WPA en juegos en modo DS [#628](https://github.com/DS-Homebrew/nds-bootstrap/issues/628)
- Emulación de la ranura Slot-2 [#19](https://github.com/DS-Homebrew/nds-bootstrap/issues/19)
- Arrelgar los trucos de tipo E [#746](https://github.com/DS-Homebrew/nds-bootstrap/issues/746)

### 1.2 Mejorar compatibilidad con aplicaciones Homebrew
Conseguir que más aplicaciones homebrew antiguas funcionen en nds-bootstrap
- Arreglar los problemas con la [etiqueta Homebrew](https://github.com/DS-Homebrew/nds-bootstrap/labels/Homebrew)

### 1.3 Mejorar B4DS
Si bien la compatibilidad al 100% podría no ser posible debido a las limitaciones de B4DS, mejorar la compatibilidad sí que lo es
- Arreglar los problemas con la [etiqueta B4DS](https://github.com/DS-Homebrew/nds-bootstrap/labels/B4DS)

### 1.4 Mejorar la compatibilidad con los ROM Hacks
Si bien algunos ROM Hacks están destinados a nunca funcionar en hardware real (ej., los que incluyen al tipo hada en los juegos de pokémon de la 5ª generación), mejorar la compatibilidad sí debería ser posible
- Arreglar los problemas con la [etiqueta ROM Hack](https://github.com/DS-Homebrew/nds-bootstrap/issues?q=is%3Aopen+is%3Aissue+label%3A%22ROM+Hack%22)

### 1.5 Funciones adicionales de nds-bootstrap
Añadir más funciones a nds-bootstrap mientras se ejecuta una ROM
- Implementar los Save States/Guardados en tiempo real [#143](https://github.com/DS-Homebrew/nds-bootstrap/issues/143)
