---
lang: fr-FR
layout: wiki
section: community
category: discord
title: Infos sur DS⁽ⁱ⁾ Mode Hacking
description: Informations sur le serveur discord DS⁽ⁱ⁾ Mode Hacking
---

Il s'agit d'un serveur Discord spécialisé dans tout ce qui concerne le modding et les homebrews sur Nintendo DS(i), de l'aide pour configurer votre linker au développement d'homebrews. Ce serveur s'intéresse également à d'autres choses comme la création de ROMs hacks, les jeux DS et le modding de TWL_FIRM sur 3DS.

## Salons Discord
Il existe de nombreux salons pour différents sujets. Veillez donc à utiliser le bon salon afin que les autres ne soient pas inondés de conversations sans rapport.

N'oubliez jamais de vérifier le sujet du salon et les messages épinglés avant de parler dans un salon.
{:.alert .alert-info}

**Important**
- [#info-and-rules][info-and-rules] - Ceci fournit de brèves informations sur les règles et les informations sur ce serveur. Pour des informations plus détaillées sur les règles, consultez [la page des règles](discord-rules) sur ce wiki
- [#useful-resources][useful-resources] - Liens vers des ressources utiles qui sont en dehors du serveur Discord, comme d'autres serveurs ou ce wiki
- [#member-logs][member-logs] - Montre les arrivées d'utilisateurs et les boosts du serveur

**Server Hub (« Hub du serveur »)**
- [#announcements][announcements] - Informations sur les nouvelles mises à jour d'homebrews ainsi que les annonces générales liées au serveur
- [#github-updates][github-updates] - Flux de toutes les contributions et discussions dans les dépôts GitHub du projet DS-Homebrew
- [#subreddit-feed][subreddit-feed] - Mises à jour pour les nouveaux messages du [subreddit](https://reddit.com/r/NDSBrew)
- [#community-meta][community-meta] - Pour faire part de son avis sur la communauté, y compris le serveur Discord, le subreddit et l'[organisation GitHub](http://github.com/DS-Homebrew)

**Nintendo DS⁽ⁱ⁾ Modding (« Modding Nintendo DS⁽ⁱ⁾ »)**
- [#nds-help][nds-help] - Vous avez un problème avec tout ce qui concerne la Nintendo DS(i) ? Vous avez besoin de poser une question générale ? Faites-le ici, en fournissant toutes les informations que vous pouvez donner (messages d'erreur, votre console, méthodes essayées, logs, etc.). Gardez ce qui concerne le modding 3DS dans #other-console-modding sauf si cela implique TWL_FIRM
- [#nds-hardware][nds-hardware] - Lieu de discussion sur les linkers, les patchs AP, et les compréhensions et recherches générales sur la DS. Bien que ce salon couvre TWL_FIRM sur 3DS, veuillez garder les discussions sur le mode 3DS dans #other-console-modding
- [#nds-hacks][nds-hacks] - Parlez des ROMs hacks, des mods et des codes de triche pour les titres Nintendo DS(i). Consultez les messages épinglés pour obtenir une liste des communautés dédiées
- [#nds-dev][nds-dev] - Ressources et discussions sur le développement d'homebrews de la DS(i). Les discussions régulières sur les homebrews existants doivent aller dans #other-nds-homebrew

**Main DS⁽ⁱ⁾ Homebrew Projects (« Projets d'homebrews DS⁽ⁱ⁾ principaux »)**
- [#nds-bootstrap-dev][nds-bootstrap-dev] - Ce salon est destiné aux discussions sur le développement de nds-bootstrap. Pour obtenir de l'aide, utilisez #nds-help
- [#twilight-menu-dev][twilight-menu-dev] - Ce salon est destiné aux discussions sur le développement de TWiLight Menu++. Pour obtenir de l'aide, utilisez #nds-help
- [#gbarunner3-dev][gbarunner3-dev] - This channel is for discussion of the development of GBARunner3. Pour obtenir de l'aide, utilisez #nds-help
- [#dsi-ntrboot-dev][dsi-ntrboot-dev] - This channel is for discussion of DSi ntrboot development.
- [#web-dev][web-dev] - Discussion and suggestions for [dsi.cfw.guide](https://dsi.cfw.guide/) and all [DS-Homebrew sites](https://ds-homebrew.com/) go here

**Secondary DS⁽ⁱ⁾ Homebrew Projects (« Projets d'homebrews DS⁽ⁱ⁾ secondaires »)**
- [#godmode9i][godmode9i] - This channel is for discussion of the development of GodMode9i. Pour obtenir de l'aide, utilisez #nds-help
- [#fastvideods][fastvideods] - This channel is for discussion of the development of the FastVideoDS Player and Encoder. Pour obtenir de l'aide, utilisez #nds-help
- [#other-nds-homebrew][other-nds-homebrew] - This forum is for support, updates, and discussion of Nintendo DS(i) homebrew that isn't covered by other channels. Il y a des fils de discussion pour les applications homebrew individuelles, et vous pouvez en créer un nouveau s'il n'y a pas déjà un fil de discussion pour votre application

**Community (« Communauté »)**
- [#off-topic][off-topic] - A channel for any topic that does not necessarily fit the other channels. Les messages de moindre qualité doivent rester sur #end-of-server
- [#nds-gaming][nds-gaming] - A place to generally discuss games on the DS(i), as well as seek players for online play. Consultez les messages épinglés pour obtenir une liste des communautés dédiées
- [#other-console-modding][other-console-modding] - Talk about homebrew and mods for any other game systems, such as the 3DS when not in TWL_FIRM
- [#other-dev][other-dev] - Talk about coding and development other than for Nintendo DS
- [#end-of-server][end-of-server] - This for casual, lower-quality chatting. Les règles sont un peu plus souples, mais sont toujours appliquées. Utilisez cet espace pour poster vos mèmes, commandes de bots et autres choses qui ne facilitent pas la discussion

## Rôles et étiquettes utilisateur
Il existe plusieurs rôles que vous pouvez obtenir sur le serveur, certains d'entre eux étant accessibles avec une simple [commande du bot Lightning](#lightning-commands).

### Rôles des modérateurs
Ces rôles sont confiés à des personnes de confiance pour s'occuper du serveur. Ils ont la possibilité de bannir, expulser, mettre en sourdine et donner d'autres rôles aux utilisateurs.

- Da Master - Le rôle du propriétaire
- Admin - Possède toutes les permissions possibles, a généralement le dernier mot parmi les *Server Maintainers*
- Server Maintainers (« Responsables du serveur ») - Ils aident à faire respecter les règles du serveur et à le gérer. S'il y a un problème, contactez-les avant de demander à quelqu'un de plus haut

### Rôles d'étiquettes utilisateur
Ces rôles ne peuvent être donnés que par les modérateurs, et indiquent que ces utilisateurs sont compétents dans ces domaines, certains donnant même accès à des salons privés. Si vous pensez que vous correspondez à la description de l'un de ces rôles, posez votre question dans #community-meta. Les modérateurs évalueront votre demande en fonction des exigences du rôle.

- Developers (« Développeurs ») - Ce rôle est attribué à ceux qui ont contribué au code de la scène Nintendo DS. Si vous avez des projets pour le rôle, montrez-les dans #nds-dev
- Helpers (« Aides ») - Ce rôle est attribué à ceux qui fournissent activement une assistance significative dans le cadre de #nds-help ou qui ont contribué aux rapports de compatibilité
   - Les *Helpers* n'ont aucune permission de modération, veuillez contacter un modérateur si une situation le nécessite
- Nitro Booster (« Booster Nitro ») - Automatiquement donné à ceux qui ont offert des boosts au serveur. Ce rôle n'a pas de permissions supplémentaires, et n'est pas affiché plus haut dans la liste des membres

### Rôles de punition
Si vous avez enfreint les règles, vous pouvez recevoir ces rôles de la part d'un modérateur.

- No Community (« Pas de communauté ») - Supprime l'accès à tous les salons de la catégorie *Community*
- No Help (« Pas d'aide ») - Supprime l'accès à [#nds-help][nds-help]
- No Reaction (« Pas de réactions ») - Désactive les permissions de réaction pour tous les salons
- No VC (« Pas de salon vocal ») - Supprime l'accès au salon vocal
- Muted (« En sourdine ») - Désactive la possibilité d'envoyer des messages

### Autres
Ces rôles ne sont donnés qu'à des fins très spécifiques par les modérateurs.

- Bots - Utilisé pour marquer les bots Discord du serveur
- Special Thanks (« Remerciements spéciaux ») - Personnes qui ont contribué de manière importante à la communauté

## Commandes de Lightning
Lightning est un bot Discord créé par [LightSage](https://github.com/LightSage) qui possède des commandes utiles pour les communautés de modding. La commande la plus couramment utilisée est `!togglerole`, qui vous donnera l'un des rôles ci-dessous :

- Updates - Recevez des mentions pour les mises à jour des nouvelles versions des homebrews DS(i) dans #announcements
- Nintendo DS Online Players - Quelqu'un peut mentionner ce rôle dans #nds-gaming lorsqu'il recherche des personnes avec qui jouer à des jeux DS en ligne
- Translators - Toute personne souhaitant être informée des contributions aux traductions de divers projets DS-Homebrew

There are a ton of fun commands you can run as well, but please keep them to [#end-of-server][end-of-server]. Pour en savoir plus, consultez son site Web : <https://lightning.lightsage.dev/>

**Lightning est également utilisé à des fins de modération (pour enregistrer les avertissements, les expulsions, les mises en sourdine et les bannissements). Gardez les messages privés activés pour le serveur au cas où nous aurions besoin de vous joindre.**

## Le staff
Ce sont les personnes qui gèrent le serveur. Si elles disent que quelque chose est définitif, il n'y a pas de débat possible. Ces membres sont en haut de la liste des membres. Ne demandez pas à faire partie de l'équipe, car cela diminuerait vos chances d'être accepté. Des membres seront ajoutés à l'équipe si et quand cela sera jugé nécessaire.

Propriétaire : shutterbug2000

Administrateurs : rocketrobz, nightscript, gericom., ahezard#8037, apachethunder

Gestionnaires du serveur : kaisaan, Pk11#3666, kodtiz3d, lifehackerhansol, lightsage01, kalamty

<!-- Discord channel links -->
[info-and-rules]: https://discord.com/channels/283769550611152897/626620520330428436
[useful-resources]: https://discord.com/channels/283769550611152897/638041441079263283
[member-logs]: https://discord.com/channels/283769550611152897/677714673663082529

[announcements]: https://discord.com/channels/283769550611152897/283771381735489537
[github-updates]: https://discord.com/channels/283769550611152897/450065134191116290
[subreddit-feed]: https://discord.com/channels/283769550611152897/869830055377928243
[community-meta]: https://discord.com/channels/283769550611152897/715651368391671919

[nds-help]: https://discord.com/channels/283769550611152897/332961165829210117
[nds-hardware]: https://discord.com/channels/283769550611152897/547986366357700620
[nds-hacks]: https://discord.com/channels/283769550611152897/356988919738400768
[nds-dev]: https://discord.com/channels/283769550611152897/835273459339624499

[nds-bootstrap-dev]: https://discord.com/channels/283769550611152897/283769550611152897
[twilight-menu-dev]: https://discord.com/channels/283769550611152897/489307733074640926
[gbarunner3-dev]: https://discord.com/channels/283769550611152897/620310871800807466
[dsi-ntrboot-dev]: https://discord.com/channels/283769550611152897/1193678677666431097
[web-dev]: https://discord.com/channels/283769550611152897/744649302567157800

[godmode9i]: https://discord.com/channels/283769550611152897/497960894660083732
[fastvideods]: https://discord.com/channels/283769550611152897/1021121766585806989
[other-nds-homebrew]: https://discord.com/channels/283769550611152897/1025388133388394547

[off-topic]: https://discord.com/channels/283769550611152897/286686210225864725
[nds-gaming]: https://discord.com/channels/283769550611152897/668680785154408448
[other-console-modding]: https://discord.com/channels/283769550611152897/653706029736919051
[other-dev]: https://discord.com/channels/283769550611152897/1169696607294468177
[end-of-server]: https://discord.com/channels/283769550611152897/283770736215195648
