---
lang: hu-HU
layout: wiki
section: community
category: discord
title: DS⁽ⁱ⁾ Mode Hacking Info
description: Információk a DS⁽ⁱ⁾ Mode Hacking Discord szerverről
---

Ez a Discord szerver specializálódott, minden a Nintendo DS(i) moddoláshoz és homebrew-hoz kapcsolódó dologra, a flash kártyád beállításától a homebrew fejlesztésig. Ezen a szerveren ezen kívül más dolgokra is fókuszálunk, mint a ROM hackek készítése, DS játékok játszása és TWL_FIRM moddolás a 3DS-en.

## Discord csatornák
Számos csatorna van, különböző témákra, ezért győződj meg arról, hogy a megfelelő csatornát használod, így mások nem kerülnek elárasztásra számukra érdektelen beszélgetésekkel.

Mindig ellenőrizd a csatorna témáját és a rögzített üzeneteket, mielőtt beszélsz a csatornán.
{:.alert .alert-info}

**Fontos**
- [#info-and-rules][info-and-rules] - Ezek rövid információt ad a követendő szabályokról és az információkról a szerveren. Részletes információkért a szabályokról tekints meg a [szabályok oldalt](discord-rules) ezen a wiki-n
- [#useful-resources][useful-resources] - Linkek hasznos erőforrásokra, amik a Discord szerveren kívül vannak, mint például más szerverek vagy ez a wiki
- [#member-logs][member-logs] - Mutatja a felhasználó bejelentkezéseket és a szerver bővülésket

**Szerver Hub**
- [#announcements][announcements] - Információk új homebrew frissítésekről és általános bejelentések a szerverrel kapcsolatosan
- [#github-updates][github-updates] - Minden hozzájárulás feed-je és beszélgetések DS-Homebrew projektek GitHub repóiról
- [#subreddit-feed][subreddit-feed] - Frissítések az új postokról a [Subreddit-ünkből](https://reddit.com/r/NDSBrew)
- [#community-meta][community-meta] - Visszajelzés adásához a közösségről, beleértve ezt a Discord szervert, a subreddit-ünket és a [GitHub organizációt](http://github.com/DS-Homebrew)

**Nintendo DS⁽ⁱ⁾ Modding**
- [#nds-help][nds-help] - Problémád van bármivel, ami Nintendo DS(i)-vel kapcsolatos? Általános kérdésed van? Rajta, tedd fel itt, megadva minden információt, amit lehet (hiba üzenetek, konzolod, próbált metódusok, logok és így tovább). A 3DS moddolást tartsd a #other-console-modding csatornán, amíg nem kapcsolódik hozzá TWL_FIRM téma
- [#nds-hardware][nds-hardware] - A flachcard-ok AP patchek, és a DS általános megértése és kutatások megvitatásának helye. Habár ez a csatorna fedi a TWL_FIRM-et a 3DS-en, a 3DS mód kérdéseket tartsd az #other-console-modding csatornán
- [#nds-hacks][nds-hacks] - Beszélgetés ROM hack-ekről, mod-okról és csalásokról Nintendo DS(i) címeknél. Nézd meg a rögzített üzeneteket a dedikált közösségekről
- [#nds-dev][nds-dev] - Erőforrások és beszélgetések DS(i) homebrew fejlesztésekről. A szokásos beszélgetéseknek már létező homebrew-okról az #other-nds-homebrew csatornán a helye

**Fő DS⁽ⁱ⁾ Homebrew Projektek**
- [#nds-bootstrap-dev][nds-bootstrap-dev] - Ez a csatorna az nds-bootstrap fejlesztés beszélgetéseinek a helye. Segítségért használd a #nds-help-et
- [#twilight-menu-dev][twilight-menu-dev] - Ez a csatorna az TWiLight Menu++ fejlesztés beszélgetéseinek a helye. Segítségért használd a #nds-help-et
- [#gbarunner3-dev][gbarunner3-dev] - Ez a csatorna a GBARunner3 fejlesztés beszélgetéseinek helye. Segítségért használd a #nds-help-et
- [#nds-bootstrap-dev][dsi-ntrboot-dev] - Ez a csatorna az nds-bootstrap fejlesztés beszélgetéseinek a helye.
- [#web-dev][web-dev] - Beszélgetések és javaslatok a [dsi.cfw.guide](https://dsi.cfw.guide/) és minden [ds-homebrew oldal](https://ds-homebrew.com/) témájában ide kerülnek

**Másodlagos DS⁽ⁱ⁾ Homebrew Projektek**
- [#godmod9i][godmode9i] - Ez a csatorna az GodMode9i fejlesztés beszélgetéseinek a helye. Segítségért használd a #nds-help-et
- [#fastvideods][fastvideods] - Ez a csatorna a FastVideoDS Player és Encoder fejlesztés beszélgetéseinek a helye. Segítségért használd a #nds-help-et
- [#other-nds-homebrew][other-nds-homebrew] - Ez a fórum a Nintendo DS(i) homebrew-okról beszélgetésre, támogatásukre, frissítéseikre, más csatornák által még nem lefedett kérdéseikre használatos. Az egyes homebrew alkalmazásoknak lehetnek saját szálai, ha még nem lenne hozzá szál, akkor készíthetsz egy újat is

**Közösség**
- [#off-topic][off-topic] - Egy csatorna minden olyan témához, ami nem fér bele a többi csatornába. Az alacsony minőségű postokat tartsd az #end-of-server csatornán
- [#nds-gaming][nds-gaming] - Egy csatorna általános beszélgetésekre játékokról a DS(i)-n és játékokosok keresése online játékhoz. Nézd meg a rögzített üzeneteket a dedikált közösségekről
- [#other-console-modding][other-console-modding] - Beszélgetés homebrew-ról és mod-okról más játék rendszerekhez, mint például 3DS, ha nem TWL_FIRM
- [#other-dev][other-dev] - Beszélgetés nem Nintendo DS fejlesztésekről
- [#end-of-server][end-of-server] - Ez alkalmi, gyengébb minőségű csevegéshez használható. A szabályok itt könnyítettek, de továbbra is betartatásra kerülnek. Használd ezt a mémjeid posztolására, bot parancsokara, vagy egyebekre, amik nem könnyítik meg a vitát

## Szerepek & felhasználók
Számos szerepkörünk van, amelyeket elérhetsz ezen a szerveren, azonban némelyikük csak [Lightning bot paranccsal](#lightning-commands) érhető el.

### Moderátor szerepkörök
Ezek a szerepkörök megbízhat személyeknek kerülnek kiosztásra a szerver fenntartása céljából. Rendelkeznek a kirúgás, tiltás, némítás jogokkal és tudnak különböző jogokat adni a felhasználóknak.

- Da Master - A tulajdonos (Owner) szerepkör
- Admin - Rendelkezik minden joggal, többnyire övé a végső döntés a Server Maintainers-ek között
- Server Maintainers - Segítenek betartatni a a szerver szabályokat és menedzselik a szervert. Ha probléma van, először őket keresd, mielőtt feljebb lépnél

### Felhasználói képesség szerepkörök
Ezek a szerepkörök moderátorok által kioszthatók csak, és jelzik, hogy ezen felhasználók rendelkeznek képességekkel ezeken a területeken, néhány hozzáférést ad a privát csatornákhoz. Ha úgy gondolod, beleférsz a leírásukba ezen szerepeknek, kérdezz a #community-meta csatornán. A moderátorok megvizsgálják a kérésedet a szerepkör követelményei alapján.

- Developers - Ezt azok kapják, akik hozzájárultak kóddal a Nintendo DS scene-hez. Ha van valami projekted a szerepkörhöz, mutasd meg a #nds-dev csatornán
- Helpers - Ezt azok kapják, akik aktívan biztosítanak használható segítséget az #nds-help csatornán, vagy hozzájárultak a kompatibilitás jelentésekhez
   - A Helper-ek nem rendelkeznek moderátor jogokkal, így moderátornak jelezz, ha a szituáció azt igényli
- Nitro Boosters - Azok kapják, akik adtak Server Boost-ot a szervernek. Ez a szerepkör nem rendelkezik további jogosultságokkal, és nem kerül feltüntetésre a taglistában

### Büntető szerepkörök
Ha megsérted a szabályokat, ezeket a szerepköröket kaphatod egy moderátortól.

- No Community - Eltávolítja a hozzáférést a Community kategória csatornáihoz
- No Help - Eltávolítja a hozzáférést a [#nds-help][nds-help] csatornához
- No Reaction - Letiltja a reagálási jogot minden csatornára
- No VC - Eltávolítja a hozzáférést a hang csatornához
- Muted - Letiltja az üzenetek küldésének lehetőségét

### Egyéb
Ezeket a szerepköröket kifejezett célokra osztják a moderátorok.

- Bots - a Discord botok jelzésére vannak ezen a szerveren
- Special Thanks - Személyek, akik különösen hozzá járultak a közösségünkhöz

## Lightning parancsok
A Lightning egy Discord bot, amit [LightSage](https://github.com/LightSage) készített és hasznos parancsokkal rendelkezik a modding közösségnek. A leggyakrabban használt parancs a `!togglerole`, amely az alábbi szerepek bármelyikét adja:

- Updates - Kapj frissítési értesítőket az új DS(i) homebrew-okról az #announcements csatornán
- Nintendo DS Online Players - Bárki tudja pingelni ezt a szerepkört az #nds-gaming csatornán, ha embereket keres, akik szeretnének online DS játékkal játszani
- Translators - Bárki számára, aki szeretne értesítést kapni, ahhoz, hogy különböző DS-Homebrew projekteket fordítson

Egy csomó mókás parancs van még, amit futtatni lehet még, de kérjük ezeket használd az [#end-of-server][end-of-server] csatornán. Hogy többet tudj meg, látogasd meg weboldalukat: <https://lightning.lightsage.dev/>

**Továbbá a Lightning-ot használjuk moderációs célokra, (hogy loggoljuk a figyelmeztetéseket, kirúgásokat, némításokat és tiltásokat). Tartsd engedélyezve a közvetlen üzeneteket a szerveren, hogy elérjünk téged, ha szükséges.**

## A Staff Team
Ezek az emberek azok, akik gondozzák a szervert. Ha azt mondják, hogy valami végleges, akkor nem vitatható. Ezek a tagok szerepelnek a tagok listáján. Ne kérd, hogy tagja legyél a csapatnak, ez csökkenti az esélyedet, hogy el leszel fogadva. A csapatot akkor és úgy egészítjük ki, ha és amikor azt szükségesnek látjuk.

Tulajdonos: shutterbug2000

Adminisztrátorok: rocketrobz, nightscript, gericom., ahezard#8037, apachethunder

Szerver karbantartók: kaisaan, Pk11#3666, kodtiz3d, lifehackerhansol, lightsage01, kalamty

<!-- Discord channel links -->
[info-and-rules]: https://discord.com/channels/283769550611152897/626620520330428436
[useful-resources]: https://discord.com/channels/283769550611152897/638041441079263283
[member-logs]: https://discord.com/channels/283769550611152897/677714673663082529

[announcements]: https://discord.com/channels/283769550611152897/283771381735489537
[github-updates]: https://discord.com/channels/283769550611152897/450065134191116290
[subreddit-feed]: https://discord.com/channels/283769550611152897/869830055377928243
[community-meta]: https://discord.com/channels/283769550611152897/715651368391671919

[nds-help]: https://discord.com/channels/283769550611152897/332961165829210117
[nds-hardware]: https://discord.com/channels/283769550611152897/547986366357700620
[nds-hacks]: https://discord.com/channels/283769550611152897/356988919738400768
[nds-dev]: https://discord.com/channels/283769550611152897/835273459339624499

[nds-bootstrap-dev]: https://discord.com/channels/283769550611152897/283769550611152897
[twilight-menu-dev]: https://discord.com/channels/283769550611152897/489307733074640926
[gbarunner3-dev]: https://discord.com/channels/283769550611152897/620310871800807466
[dsi-ntrboot-dev]: https://discord.com/channels/283769550611152897/1193678677666431097
[web-dev]: https://discord.com/channels/283769550611152897/744649302567157800

[godmode9i]: https://discord.com/channels/283769550611152897/497960894660083732
[fastvideods]: https://discord.com/channels/283769550611152897/1021121766585806989
[other-nds-homebrew]: https://discord.com/channels/283769550611152897/1025388133388394547

[off-topic]: https://discord.com/channels/283769550611152897/286686210225864725
[nds-gaming]: https://discord.com/channels/283769550611152897/668680785154408448
[other-console-modding]: https://discord.com/channels/283769550611152897/653706029736919051
[other-dev]: https://discord.com/channels/283769550611152897/1169696607294468177
[end-of-server]: https://discord.com/channels/283769550611152897/283770736215195648
