---
lang: hu-HU
layout: wiki
section: ds-index
category: útmutatók
title: Melyik DS családbeli konzol a legjobb számomra?
description: Az egyes konzolok jellemzőinek vizsgálata a legjobb DS(i) üzemmód élményének eldöntéséhez
---

A Nintendo DS, Nintendo DSi, Nintendo 3DS ésNintendo 2DS konzolok mind képesek DS(i) módban futni és GBA játékokat futtatni. Annak eldöntéséhez, hogy melyik konzol a legjobb számodra, kérjük, olvasd el ezt az oldalt.

| Funkciók              | Nintendo DS                                         | Nintendo DSi                                                | Nintendo 3DS/2DS                                        |
| --------------------- | --------------------------------------------------- | ----------------------------------------------------------- | ------------------------------------------------------- |
| Max RAM               | 4 MB (RAM-bővítéssel akár 36 MB) | 16MB                                                        | 32MB                                                    |
| Max CPU sebesség      | 67mhz                                               | 133mhz[^1]                                                  | 133mhz[^1]                                              |
| Kamera                | Nem                                                 | Igen                                                        | Igen                                                    |
| Képernyő típus        | TN(?)                            | TN (normál), IPS (XL) | TN vagy IPS (modellenként változhat) |
| Képernyő átméretezése | Nem                                                 | Nem                                                         | Igen[^2]                                                |
| Fényerőszintek        | 2 (Be/Ki a Phat esetében), 4 (Lite)[^3]             | 5                                                           | 5                                                       |
| GBA kompatibilitás    | Natív, majdnem tökéletes[^4]                        | Kitűnő                                                      | Natív, majdnem tökéletes[^5]                            |
| DSiWare támogatás     | Igen, részleges[^6]                                 | Igen[^7]                                                    | Igen[^7]                                                |

[^1]: A DS-játékok 67 MHz-en futnak, de a legtöbbet be lehet állítani 133 MHz-es sebességre, bár bizonyos játékoknál ez problémát okozhat.

[^2]: DS(i) üzemmódban történő indításkor a képernyők nem pontosan skálázotta, és nem jelennek meg pixel pontosan. A START vagy a SELECT gomb lenyomva tartása kikapcsolja a képernyő átméretezését, de a képernyő képei körül fekete keretek jelennek meg.

[^3]: A későbbi Phat modellek ugyanazokkal a fényerőszintekkel rendelkeznek, mint a Lite modell, de ezek használatához a FlashMe telepítése szükséges (legalábbis az eredeti menüben).

[^4]: Az egyetlen ismert játék, amely kompatibilitási problémával küzd, a _MegaMan Battle Network 3_ a Capcom logó megjelenése után összeomlik.

[^5]: A nagy GBA Video ROM-ok (32 MB felett) nem működnek. Továbbá a giroszkóp és rezgés funkciók sem működnek.

[^6]: A támogatott címek többsége nem igényel kamerát. A támogatott címeket lásd [ezen az oldalon](https://github.com/DS-Homebrew/TWiLightMenu/blob/master/universal/include/compatibleDSiWareMap.h). A **TW**i**L**ight Menu++ szüséges, hogy telepítve legyen a flashcard-ra.

[^7]: Ha a **TW**i**L**L\*\*ight Menu++-t használod, és a `DSiWare Booter` beállítása `nds-bootstrap`, vagy ha 3DS/2DS-t használsz, akkor a kompatibilitás közel tökéletes.
