---
lang: ru-RU
layout: wiki
section: ds-index
category: reference
title: Wi-Fi
description: Информация об использовании Wi-Fi на Nintendo DS
---

- В приложениях Nintendo DS можно использовать не защищённые Wi-Fi сети и сети с параметром безопасности WEP
- В Улучшеных/Эксклюхивных DSi приложениях, работающих в режиме DSi, у вас есть дополнительные опции безопасности WPA и WPA2
- If you're on DSi or 3DS, ensure you've accepted the network agreement first

Можно использовать точки доступа, поэтому вам не нужно менять конфигурацию маршрутизатора.

### Создание точки доступа
На GBAtemp есть руководства по созданию DS-совместимой точки доступа на компьютерах с macOS и Linux.
- [macOS](https://gbatemp.net/threads/571658)
- [Linux](https://gbatemp.net/threads/543283)

Также подойдет мобильная точка доступа Android, с отключенным паролем.

Windows не может создать совместимую точку доступа, поэтому пользователям Windows придется загрузиться в Linux, чтобы настроить ее.
#### Другие способы
Если вы не можете создать DS-совместимую точку доступа с помощью вышеуказанных методов, вы можете использовать другой метод.
- Nintendo Wi-Fi USB Connector
    - Хоть его всё ещё можно использовать, не стоит этого делать, поскольку для этого потребуется 32-разрядная версия Windows XP или Vista
    - Для получения информации о настройке Nintendo Wi-Fi USB Connector прочитайте третий раздел этого руководства [Wiimmfi Guide](https://docs.google.com/document/d/1f3PChwQig40UaiPXlh-Gi5CggGiBPzyrpiecLZlT8ZE/edit?usp=sharing), написанного членами [Mario Kart DS Network](https://discord.gg/pa9bea6)
- Изменение настроек маршрутизатора для обеспечения совместимости с DS
    - Не лучший способ, поскольку открывает вашу сеть для злоумышленников, даже если вы используете защиту WEP. Это также может вызвать проблемы у других пользователей вашей сети. Если вы решите сделать это, рекомендуется использовать вторичный маршрутизатор или гостевую сеть, если таковая имеется
    - Не все маршрутизаторы поддерживают гостевые сети или отключение защиты
- Усилитель Wi-Fi

#### Настройки
Если вы настраиваете сеть на совместимость с DS, она должна соответствовать следующим характеристикам:
- Безопасность WEP, ну же сеть вовсе не должна быть защищена паролем
- Частота беспроводной связи 2,4 ГГц
- Беспроводной режим 802.11b
    - Это может быть указано как "Legacy mode" или что-то подобное

### Восстановление Nintendo DS WFC
1. Запустите Nintendo Wi-Fi Connection Setup
1. Подключитесь к точке доступа
1. Установите значение первичного DNS как одно из значений ниже, в зависимости от того, какую службу вы хотите использовать:
    - **[Wiimmfi](https://wiimmfi.de)** - `167.86.108.126` or `178.62.43.212`
    - **[AltWFC/WFCZwei](https://save-nintendo-wifi.com/) ([список онлайн-игроков](http://zwei.moe:9001))** - `172.104.88.237`
1. Установите `1.1.1.1.1` в качестве вторичного DNS
1. На этом этапе, в зависимости от игры, вам может потребоваться NoSSL-патч

### Ручная модификация RОM-ов DS
Следуйте руководству ниже, только если ваш провайдер блокирует пользовательские DNS-серверы, в противном случае *настоятельно* рекомендуется следовать руководству выше.

- Пользователи GNU/Linux и macOS могут следовать очень похожим инструкциям, но им придется использовать Mono
- WfcPatcher в настоящее время не поддерживает DSiWare

1. Скачайте [WfcPatcher](https://github.com/AdmiralCurtiss/WfcPatcher/releases)
1. Скопируйте ROM игры, которую вы хотите модифицировать, в ту же папку, где сохранен WfcPatcher, и откройте эту папку
1. Создайте текстовый файл
1. В файле введите `wfcpatcher.exe %1 --domain wiimmfi.de` затем сохраните текстовый файл с именем `patch.bat` и закройте окно
    - Вы можете заменить wiimmfi.de на другой URL, если хотите использовать другой сервер
    - Если файл по-прежнему выглядит как текстовый документ, [включите отображение расширений файлов](https://dsi.cfw.guide/file-extensions-%28windows%29) и удалите `.txt` из имени файла
1. Теперь перетащите все RОМ-ы, на которые вы хотите установить патч, на файл patch.bat
1. Готово! модифицированные ромы будут оканчиваться на (wiimmfi)

Не забудьте удалить все DNS, которые вы могли сохранить в настройках Wi-Fi, прежде чем пытаться подключиться, используя модифицированный ROM.

### Устранение неполадок и дополнительная литература
Если вы получаете какие-либо ошибки, вы можете ввести код ошибки в программе [средство устранения неполадок Wiimmfi](https://wiimmfi.de/error) для поиска способов ее устранения.

Для получения более подробной информации об устранении неполадок и о многом другом, например, о том, как подключиться к Интернету на эмуляторах или как сделать это с помощью Nintendo Wi-Fi USB Connector, вы можете прочитать в [ Руководстве Wiimmfi](https://docs.google.com/document/d/1f3PChwQig40UaiPXlh-Gi5CggGiBPzyrpiecLZlT8ZE/edit?usp=sharing), написанном членами [Mario Kart DS Network](https://discord.gg/pa9bea6).
