---
lang: ru-RU
layout: wiki
section: twilightmenu
category: customization
title: Скины DSi/3DS - пользовательские эффекты
description: Как использовать пользовательскую фоновую музыку и звуковые эффекты в скинах DSi и 3DS для TWiLight Menu++
---

TWiLight Menu++ поддерживает пользовательские звуковые файлы в темах. Поместите звуковые файлы в папку `sound`, находящуюся в папке темы, например, для темы `white` вы поместите файлы в `themes/white/sound/sfx.bin` и `themes/white/sound/bgm.pcm.raw` соответственно. Оба файла необязательны, если `bmg.pcm.raw` отсутствует, будет использована музыка по умолчанию. То же самое произойдет со звуковыми эффектами, если `sfx.bin` отсутствует.

Эти инструкции предполагают, что у вас установлен devkitPro с mmutil. Вы можете скачать devkitPro на сайте [devkitPro](https://devkitpro.org/wiki/Getting_Started).

## Хранилище звуковых эффектов
Хранилище звуковых эффектов (`sfx.bin`) содержит звуковые эффекты, такие как звук выбора иконки и т.д.

| Файл        | Описание                                                                                                |
| ----------- | ------------------------------------------------------------------------------------------------------- |
| startup.wav | Воспроизводится при запуске. Более подробную информацию смотри в разделе [Звук запуска](#startup-sound) |
| back.wav    | Назад                                                                                                   |
| launch.wav  | Воспроизводится при запуске игры                                                                        |
| select.wav  | Воспроизводится при перемещении курсора в настройках игры и SELECT меню                                 |
| wrong.wav   | Воспроизводится при достижении конца страницы                                                           |
| switch.wav  | Воспроизводится при переключении страниц                                                                |
| stop.wav    | Воспроизводится в теме DSi, когда курсор перестает двигаться                                            |

Все перечисленные выше файлы необходимы для создания пользовательского хранилища звуковых эффектов. Если вы хотите, чтобы звук был отключен, можно использовать беззвучный аудиофайл. Формат `.wav` является обязательным, а кодировка *должна быть* PCM.

[Этот файл](/assets/files/sfx-example.zip) включает в себя звуки, используемые в стандартных темах DSi и 3DS, а также makefile, используемый для их сборки в правильный файл sfx.bin. Не стесняйтесь редактировать и изменять звуковые файлы, чтобы создать собственное хранилище звуковых эффектов.

Чтобы создать своё хранилище звуковых эффектов, откройте терминал (или командную строку, если вы используете Windows), перейдите из текущей директории (`cd`) в `Makefile`, а затем выполните команду `make`. В результате вы получите файл `sfx.bin`, который можно скопировать в папку `sound`, находящуюся в папке вашей темы. **Этот файл должен быть меньше 512000Байт = 512 Кб**. Любой файл, превышающий этот размер, приведет либо к сбоям, либо к неполному воспроизведению некоторых звуков.

### Звук при запуске
В то время как другие звуковые эффекты будут работать с любым WAV-файлом с кодировкой PCM, звук запуска должен быть в определенном формате, иначе будет наблюдаться разрыв между остановкой звука, воспроизводимого при запуске, и началом фоновой музыки.

Файл startup.wav должен быть **16 бит 16 кГц**. Для конвертации в этот формат можно использовать, например, [Audacity](https://github.com/audacity/audacity/releases/latest). После загрузки файла в Audacity измените **Project Rate (Hz)** на **16000**, затем нажмите **Shift+M**, и измените **Format** на **16-bit PCM**.

Если ваш файл в стерео формате, вам также следует перейти на страницу **Tracks > Mix > Mix Stereo to Mono**.

Вы должны установить `PlayStartupJingle=1` в файле `theme.ini` для воспроизведения джингла запуска.


## Фоновая музыка Меню
Фоновая музыка Меню должна соответствовать критериям: **16 бит, монo** и иметь расширение `.wav`. Ниже приведен метод конвертирования аудиофайлов в этот формат.

В отличие от `sfx.bin`, `bgm.wav` может быть любого размера.

Пожалуйста, обратите внимание, что если ваш аудиофайл уже поставляется в виде файла `.wav`, вы все равно должны следовать приведенному ниже методу, поскольку TWLMenu++ предъявляет особые требования.

### Audacity
Чтобы начать работу, загрузите [последнюю версию Audacity](https://github.com/audacity/audacity/releases/latest).

Для конвертирования аудио файла:
1. Загрузите файл в Audacity
1. Если ваш файл в стерео, нажмите на песню и выберите `Tracks` > `Mix` > `Mix Stereo down to Mono`
1. Перейдите на страницу `Audio Setup` > `Audio Settings...`и убедитесь, что значение `Project Sample Rate` не установлено выше `48000 Гц` (это предел)

Для экспорта в правильном формате:
1. Выберите `File` > `Export` > `Export Audio...`
1. Установите `Save as type` на `WAV (Microsoft)`
1. Установите `Encoding` на `Signed 16-bit PCM`
1. Задайте имя выходного файла `bgm.wav` и нажмите `Save`
1. Нажмите `Очистить`, а затем нажмите `OK`, чтобы перейти к редактированию метаданных

В результате вы получите файл `bgm.wav`, который можно скопировать в папку `sound`, находящуюся в папке вашей темы.

 Затем, чтобы ваша фоновая музыка играла в меню, необходимо в настройках TWiLight Menu++ установить опцию `Музыка в темах DSi/3DS` на "Тема".
