---
lang: ru-RU
layout: faq
section: twilightmenu
title: ЧаВо и Устранение неполадок
long_title: ЧаВо по TWiLight Menu++ и Устранение неполадок
description: ЧаВо и устранение неполадок для TWiLight Menu++
---

Для получения более подробной информации посетите тему на [GBAtemp](https://gbatemp.net/threads/ds-i-3ds-twilight-menu-gui-for-ds-i-games-and-ds-i-menu-replacement.472200/).
{:.alert .alert-info}

#### Почему моя 3DS зависает с чёрным экраном, вылетает, выключается, и т. д. когда я запускаю TWiLight Menu++?
Возможно TWL_FIRM повреждён. Следуйте этой инструкции чтобы исправить проблему: <https://3ds.hacks.guide/troubleshooting#dsi--ds-functionality-is-broken-after-completing-the-guide>

#### Как мне исправить проблему зависания на белом экране при запуске TWiLight Menu++?
- Перезагрузить консоль
- Если это не поможет, отформатируйте вашу SD карту в FAT32 с размером кластера 32 Кб
   - Рекомендуемые инструменты см. на странице [dsi.cfw.guide](https://dsi.cfw.guide/sd-card-setup.html)
- Если и это не помогло, попробуйте использовать другую SD-карту

#### Что делать, если не работает сенсорный экран после запуска игры?
- Если вы запускаете картридж, то убедитесь, что для параметра `Режим работы сенсора в Slot-1` установлено значение `DS`
- Если проблема не решена или если вы используете ROM, следуйте этому руководству: https://gbatemp.net/threads/recover-ds-mode-after-an-nvram-brick-eg-after-using-a-ds-bricker.516444/

#### Что делать, если TWiLight Menu++ перезапускается или выдает ошибку Guru Meditation Error при запуске игры?
Зайдите в Настройки TWLMenu++ и отключите `Вести список недавних`.

#### Почему приставка зависает на белом экране, когда я пытаюсь запустить игру с SD карты?
См. [У меня возникли проблемы с моим(-и) ROM-ом(-ами), что я должен делать?](../nds-bootstrap/faq?faq=im-having-issues-with-my-roms-what-should-i-do) на странице ЧаВо по nds-bootstrap.

#### Как использовать читы?
Вам необходимо иметь БД читов в виде файла `usrcheat.dat` в папке `sd:/_nds/TWiLightMenu/extras/`. Самая свежая база читов это - [DeadSkullzJr's NDS(i) Cheat Databases](https://gbatemp.net/threads/488711/).
- На 3DS эта база данных доступна в приложении Universal-Updater под названием "NDS(i) Cheat Databases". При помощи этой программы вы сможете автоматически установить базу данных.

В качестве альтернативы вы можете использовать [r4cce](http://hp.vector.co.jp/authors/VA013928/soft_en.html) для создания собственной чит-базы данных.

Как только у вас будет БД с читами, наведите курсор на нужную игру и нажмите <kbd class="face">Y</kbd>, чтобы открыть дополнительные настройки, затем <kbd class="face">X</kbd>, чтобы открыть меню читов.

#### Как вывести свою картинку на верхний экран в теме DSi? Могу ли я скрыть её вместо этого?
Случайное `.png` изображение в `sd:/_nds/TWiLightMenu/dsimenu/photos/` будет отображаться при каждом запуске меню. Если подходящих изображений нет, вместо них будут использоваться скриншоты, сделанные nds-bootstrap.

- Изображения должны быть размером не более 208x156
- Если у вас возникают ошибки, то, скорее всего, это из-за размера изображения. Пожалуйста, используйте [tinypng](https://tinypng.com) для уменьшения размера

Что касается скрытия картинки, вам нужно отредактировать файл `theme.ini`, который находится в `sd:/_nds/TWiLightMenu/dsimenu/themes/[папка skin]/`. Откройте файл в текстовом редакторе, измените строку `RenderPhoto` с `1` на `0`, затем сохраните файл.

#### Где брать игры?
Homebrew игры можно загрузить с сайтов [Universal-DB](https://db.universal-team.net/ds) и [GameBrew](https://www.gamebrew.org/wiki/List_of_all_DS_homebrew#Games). Чтобы играть в официально выпущенные игры, вам необходимо получить их копии, снятые либо с ваших картриджей, либо с другой консоли:
- На DS вы можете использовать [GodMode9i](https://github.com/DS-Homebrew/GodMode9i/releases) для копирования своих GBA-игр и, если у вас есть флэш-картридж для Slot-2, то и DS-игр. Если у вас есть только флеш-картридж для Slot-1 и вы хотите сделать копию игры для DS, вы можете использовать [Wooddumper](https://digiex.net/attachments/wooddumper_r89-zip.14735/), который требует Wi-Fi соединения, совместимого с DS, а также FTP-клиента на отдельном устройстве для получения ROM-а
- На DSi вы можете использовать [GodMode9i](https://github.com/DS-Homebrew/GodMode9i/releases) для копирования игр DS и DSiWare
- На 3DS вы можете использовать [GodMode9](https://github.com/d0k3/GodMode9/releases) для копирования игр DS, DSiWare и игр Virtual Console

#### Можно ли перенести файлы сохранений с картриджа на SD-карту или наоборот?
Да. Вы можете использовать [Checkpoint](https://github.com/FlagBrew/Checkpoint/releases) на 3DS, или [GodMode9i](https://github.com/DS-Homebrew/GodMode9i/releases) на DSi / 3DS.

#### Как изменить язык TWiLight Menu++?
1. Откройте настройки TWiLight Menu++, это можно сделать, удерживая <kbd>SELECT</kbd> во время загрузки TWiLight Menu++
1. Изменяйте первый параметр, пока не увидите нужный вам язык, затем выйдите из настроек
   - Вы также можете изменить первые три параметра на странице настроек nds-bootstrap, поскольку они управляют языком и регионом игр DS и их названиями в TWiLight Menu++

#### Это эмулятор DS(i)?
Нет, это не эмулятор. Меню и DS-игры (загруженные через nds-bootstrap) нативно запускаются на консоли DS/DSi. Единственными эмулируемыми консолями являются консоли прошлых лет, но частично и GBA (некоторые или все части, такие как графика, выполняются нативно).

#### Какие системы поддерживает TWiLight Menu++?
См. [Список систем, поддерживаемых TWiLight Menu++](../ds-index/emulators#list-of-supported-systems-by-twilight-menu).

#### Можно ли использовать уязвимость игр в Slot-1 для запуска TWiLight Menu++?
Нет. Доступ к SD-карте предоставляется только приложениям DSiWare, поэтому Slot-1 игры не могут запустить (или даже получить доступ) TWiLight Menu++.

#### Почему я не могу найти/просмотреть свои игры?
Существует множество причин, по которым вы можете не найти их.
- Папка `_nds`, расположенная в корне SD-карты, не предназначена для приложений, которые можно использовать в TWiLight Menu++, поскольку она зарезервирована для системных файлов (скины, конфигурация, изображения, эмуляторы и многое другое). Если вы разместили здесь свои игры, пожалуйста, переместите их в другое место.
- Если в папке более 39 элементов и все ячейки в меню заняты, ваши игры могут оказаться на следующей странице. Используйте <kbd class="l">L</kbd>/<kbd class="r">R</kbd> или <kbd>SELECT</kbd> + <kbd>Влево</kbd>/<kbd>Впрво</kbd> для переключения страниц
- Если ваша игра или папка скрыта, вам может понадобиться включить отображение скрытых файлов, через Настройки Графического Интерфейса TWiLight Menu++
- Если ваша игра находится в архиве (`zip`, `rar`, `7z`и т. д.), она не может быть использована TWiLight Menu++. Извлеките игру из архива, чтобы использовать ее
- Если ваша игра не использует одно из [поддерживаемых расширений](../ds-index/emulators#list-of-systems-supported-by-twilight-menu), вам, возможно, придется изменить расширение, переименовав файл

#### Как открыть настройки TWiLight Menu++?
Способ доступа к настройкам TWiLight Menu++ зависит от вашей конфигурации.
- **Классическое Меню DS:** Нажмите на значок DS в нижней части нижнего экрана
- **Темы Nintendo DSi/SEGA Saturn/Homebrew Launcher с помощью меню SELECT: ** нажмите <kbd>SELECT</kbd>, затем выберите Настройки (используйте крестовину для перемещения по меню)
- **Темы Nintendo DSi/SEGA Saturn/Homebrew Launcher не используя меню SELECT: ** Нажав <kbd>SELECT</kbd>, вы попадете в Классическое Меню DS
- **Тема Nintendo 3DS:** Нажмите на значок гаечного ключа в нижней части экрана
- **Оригинальная тема R4:** Нажмите <kbd>START</kbd> (если вы находитесь в браузере файлов), затем нажмите <kbd>SELECT</kbd>

Вы также можете удерживать <kbd>SELECT</kbd> при запуске TWiLight Menu++ для прямого доступа к настройкам.

#### Как использовать пользовательские значки/баннеры для игр?
Вы можете использовать пользовательский баннер в формате PNG или DS banner.bin, поместив его в папку `sd:/_nds/TWiLightMenu/icons`, назвав его также, как и ROM (включая расширение) или папку (не забудьте добавить расширение `.png` или `.bin`).

Для баннеров в формате PNG вам нужен любой PNG файл с не более чем 15-ю цветами и максимальным разрешением 32x32. Полная прозрачность работает и не считается одним из 15-и цветов, а полупрозрачность не работает.

баннер типа banner.bin может быть анимированным и позволяет заменить иконку, которая будет отображаться в TWiLight Menu++. Их можно сделать с помощью [NDS Banner Editor](https://github.com/TheGameratorT/NDS_Banner_Editor/releases).

Готовые баннеры можно найти в разделе иконок [на сайте скинов TWiLight Menu++](https://skins.ds-homebrew.com/icon/), и если вы тоже сделаете какие-нибудь баннеры, то можете поделиться ими там же.

#### Как установить пользовательскую тему для TWiLight Menu++?
Пользовательские скины для тем можно найти на [официальном сайте скинов](https://skins.ds-homebrew.com/). На нем размещены несколько скинов, сделанных сообществом и готовых к использованию. Вы также можете самостоятельно создать скин для тем Nintendo 3DS и Nintendo DSi, следуя [этому руководству](https://wiki.ds-homebrew.com/twilightmenu/custom-dsi-3ds-skins). Темы **Homebrew Launcher**, **Sega Saturn** и **Game Boy Color** являются _**не**_ настраиваемыми.

Как только вы обзаведетесь скином, вы можете установить его, поместив его папку в соответствующий путь, который зависит от того, для какой темы создан скин.
- Скины для темы Nintendo DSi находятся в `sd:\_nds\TWiLightMenu\dsimenu\themes\`
- Скины для темы Nintendo 3DS находятся в `sd:\_nds\TWiLightMenu\3dsmenu\themes\`
- Скины для темы Оригинального R4 находятся в `sd:\_nds\TWiLightMenu\r4menu\themes\`

Если вы используете консоль семейства 3DS, вы можете установить пользовательские скины с помощью [Universal-Updater](https://github.com/Universal-Team/Universal-Updater/releases). Зайдите в настройки Universal-Updater, затем `Выберите Unistore`, `+`, `TWiLight Menu++ Skins`.

Чтобы применить пользовательскую тему, необходимо войти в Настройки TWiLight Menu++.
1. На странице `Настройки интерфейса` перейдите к параметру `Тема` и выберите тему, используя правую и левую кнопки на D-Pad.
1. После выбора целевой темы нажмите кнопку A, чтобы выбрать между установленными скинами.
1. С помощью кнопок вверх и вниз на D-Pad выделите нужный скин, затем нажмите A, чтобы выбрать его.
1. Примените настройки, нажав B - вернитесь в TWiLight Menu++.

TWiLight Menu++ теперь должно иметь индивидуальный внешний вид (и музыку, если выбранный скин поддерживает ее и включен в настройках).

#### Существует ли эмулятор 3DS для DS(i)?
Нет, его не существует. Эмуляция 3DS на DS(i) невозможна, поскольку 3DS мощнее.
