---
lang: sv-SE
layout: wiki
section: nds-bootstrap
title: Future of nds-bootstrap
description: Info for the future of nds-bootstrap
---

There are no set release dates for future releases.
{:.alert .alert-info}

This page gives an overview of the future of nds-bootstrap in order of priority. These milestones are subject to change as issues are closed. The examples listed under each Milestone is not comprehensive. For a list of all issues tied to each milestone, see the [Milestones page on GitHub.](https://github.com/DS-Homebrew/nds-bootstrap/milestones)

### 1.0 Improving Retail Compatibility
Have nds-bootstrap get closer to 1:1 compatibility with retail titles
- Fixing Romancing SaGa 3 [#271](https://github.com/DS-Homebrew/nds-bootstrap/issues/271)
- Fixing Pokemon DS-Wii connections [#415](https://github.com/DS-Homebrew/nds-bootstrap/issues/415)
- Fixing Brain Age DSiWare titles [#1166](https://github.com/DS-Homebrew/nds-bootstrap/issues/1166)

### 1.1 Additional Enhancements to Games
Adding features that do not exist when played off a game card
- WPA connection in DS mode games [#628](https://github.com/DS-Homebrew/nds-bootstrap/issues/628)
- Slot-2 Emulation [#19](https://github.com/DS-Homebrew/nds-bootstrap/issues/19)
- Fixing E-type cheat codes [#746](https://github.com/DS-Homebrew/nds-bootstrap/issues/746)

### 1.2 Improving Homebrew Compatibility
Getting more of the older homebrew applications to work with nds-bootstrap
- Issues with the [Homebrew label](https://github.com/DS-Homebrew/nds-bootstrap/labels/Homebrew)

### 1.3 Improving B4DS
While 100% compatibility may not be possible with B4DS' limitations, improving compatibility is still possible
- Issues with the [B4DS label](https://github.com/DS-Homebrew/nds-bootstrap/labels/B4DS)

### 1.4 Improving ROM Hack Compatibility
While some ROM hacks are bound to not work on real hardware (e.g. the gen 5 hacks with fairy type), improving ROM hacks
- Issues with the [ROM Hack label](https://github.com/DS-Homebrew/nds-bootstrap/issues?q=is%3Aopen+is%3Aissue+label%3A%22ROM+Hack%22)

### 1.5 Additional nds-bootstrap Features
Adding more features to nds-bootstrap itself when running ROMs
- Implementing Save Sates/Real-Time Saves [#143](https://github.com/DS-Homebrew/nds-bootstrap/issues/143)
