---
lang: uk-UA
layout: wiki
section: twilightmenu
category: installing
title: Встановлення (DSi)
long_title: Встановлення TWiLight Menu++ (DSi)
description: Як встановити TWiLight Menu++ на Nintendo DSi
---

Якщо ви ще не можете запустити доморобні програми на DSi, перейдіть за посиланням [dsi.cfw.guide](https://dsi.cfw.guide), щоб встановити TWiLight Menu++
{:.alert .alert-info}

If you use a Windows edition which contains Windows Defender, it'll detect the `.7z` file as a Trojan due to a false positive. To fix the false positive, ensure Windows Defender is up to date.
{:.alert .alert-warning}

### Встановлення
1. Завантажте останню версію [`TWiLightMenu-DSi.7z`](https://github.com/DS-Homebrew/TWiLightMenu/releases/latest/download/TWiLightMenu-DSi.7z)
1. Розпакуйте `TWiLightMenu-DSi.7z`
1. Скопіюйте теку `_nds` в кореневу теку вашої SD карти
1. Скопіюйте файл `BOOT.NDS` в кореневу теку вашої SD карти
1. Скопіюйте теку `roms` в кореневу теку вашої SD карти
1. **Користувачі hiyaCFW:** Скопіюйте теку `title` в кореневу теку вашої SD карти

### Автозавантаження за допомогою Unlaunch
1. Увімкніть вашу консоль DSi, утримуючи <kbd class="face">A</kbd> та <kbd class="face">B</kbd>
1. У файловому меню Unlaunch, перейдіть до `OPTIONS`
1. Встановіть `NO BUTTON` або кнопку на ваш вибір на `TWiLight Menu++`, де на нижньому екрані є `BOOT.NDS`

### Доступ до вмісту флешкарти

Флешкарта - це пристрій, що вставляється в слот для ігрових картриджів та містить слот для карт пам'яті microSD. Якщо у вас немає флешкартки, на цьому посібник для вас завершено.
{:.alert .alert-warning}

#### Якщо у вас є R4(i) Ultra

1. Дотримуйтесь [цього посібника](installing-flashcard), починаючи з `Запуск ігор за допомогою прошивки вашої флешкарти`
     - Ви можете сміливо ігнорувати попередження
1. Відкрийте Налаштування TWLMenu++
1. Перейдіть на сторінку `Змішані налаштування`
1. Увімкніть `Доступ до microSD у Slot-1`
1. Вийдіть з Налаштувань TWLMenu++, натиснувши кнопку `B`
     - Якщо ви опинитеся в Класичному DS Меню, натисніть `B` ще раз

#### Якщо у вас немає R4(i) Ultra

1. Створіть файл чи теку з назвою `primary` у `sd:/_nds/` (не на флешкарті), щоб TWiLight Menu++ зчитувала налаштування з SD карти консолі після запуску вашої флешкарти
1. Дотримуйтесь [цього посібника](installing-flashcard), починаючи з `Щодо запуску ігор за допомогою прошивки вашої флешкарти`
1. Скопіюйте файл `BOOT.NDS` з `TWiLightMenu-Flashcard.7z` у кореневу теку вашої microSD карти, що використовуватиметься у вашій флешкарті
1. Відкрийте Налаштування TWLMenu++
1. Перейдіть на сторінку `Змішані налаштування`
1. Увімкніть `SCFG доступ у Slot-1` (Зверніть увагу, що цей параметр замінює `Доступ до SD у Slot-1`)
1. Встановіть `Сенсорний режим у Slot-1` на `У режимі DSi`
1. Увімкніть `Автозапуск Slot-1`
1. Вийдіть з Налаштувань TWLMenu++, натиснувши кнопку `B`
     - Якщо ви опинитеся в Класичному DS Меню, запустіть вашу флешкарту
     - В іншому випадку, перезапустіть TWiLight Menu++

#### Перемикання між вмістом SD та флешкарти
- Натисніть `SELECT`+`Вгору` чи `SELECT`+`Вниз`, щоб перемикатися між вмістом SD та флешкарти
     - Якщо меню SELECT увімкнено в налаштуваннях, ви також можете зробити це там
     - Якщо ви використовуєте тему 3DS, торкніться піктограми Ігровий Картридж/SD картка
     - Якщо ви використовуєте тему R4/GBC, натисніть кнопку `L`
