---
lang: zh-CN
layout: wiki
section: ds-index
category: guides
title: Which DS family console is the best for me?
description: Looking at the features of each console to decide the best DS(i) mode experience
---

The Nintendo DS, Nintendo DSi, Nintendo 3DS, and Nintendo 2DS consoles are all capable of running in DS(i) mode, as well as GBA games. To help decide which console is best for you, please read this page.

| Features          | Nintendo DS                                            | Nintendo DSi                                                 | Nintendo 3DS/2DS                               |
| ----------------- | ------------------------------------------------------ | ------------------------------------------------------------ | ---------------------------------------------- |
| Max RAM           | 4MB (up to 36MB with RAM expansion) | 16MB                                                         | 32MB                                           |
| Max CPU Speed     | 67mhz                                                  | 133mhz[^1]                                                   | 133mhz[^1]                                     |
| Camera            | No                                                     | Yes                                                          | Yes                                            |
| Screen type       | TN(?)                               | TN (Regular), IPS (XL) | TN or IPS (varies by model) |
| Screen scaling    | No                                                     | No                                                           | Yes[^2]                                        |
| Brightness levels | 2 (On/Off for Phat), 4 (Lite)[^3]                      | 5                                                            | 5                                              |
| GBA Compatiblity  | Native, Near-Perfect[^4]                               | Great                                                        | Native, Near-Perfect[^5]                       |
| DSiWare Support   | Yes, Partial[^6]                                       | Yes[^7]                                                      | Yes[^7]                                        |

[^1]: DS games will run at 67mhz, but most can be configured to run at 133mhz, though certain games will have issues.

[^2]: When launching in DS(i) mode, the screens are not properly scaled, and will not appear pixel-perfect. Holding START or SELECT button will disable screen scaling, but will reveal black borders around the screen images.

[^3]: Later Phat models have the same brightness levels as the Lite model, but will require FlashMe to be installed in order to use those levels (at least in the original menu).

[^4]: The only game known to have a compatibility issue, _MegaMan Battle Network 3_ crashes after the Capcom logo.

[^5]: Large GBA Video ROMs (above 32MB) will not work. Gyro and rumble features will also not work.

[^6]: Majority of supported titles do not require the camera. See [this page](https://github.com/DS-Homebrew/TWiLightMenu/blob/master/universal/include/compatibleDSiWareMap.h) for which titles are supported. **TW**i**L**ight Menu++ is required to be installed on your flashcard.

[^7]: If you're using **TW**i**L**ight Menu++ with either `DSiWare Booter` setting set to `nds-bootstrap` or if using a 3DS/2DS, then compatibility is near-perfect.
